=== debian/changelog ===
pentobi (22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove unused dependency on libqt5svg5. (Closes: #1029258)
  * Drop pentobi-kde-thumbnailer package, as support has been
    removed upstream.
  * Switch (build-)dependencies to Qt6.
  * Drop d/pentobi-install, as we install everything from upstream.
  * Update copyrights.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 01 Feb 2023 20:47:52 +0100
