=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://sf.net/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
