## pentobi 23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,22 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 22.1)
-set(PENTOBI_RELEASE_DATE 2023-01-31)
+set(PENTOBI_VERSION 23.1)
+set(PENTOBI_RELEASE_DATE 2023-03-12)
 
 include(GNUInstallDirs)
 
+option(PENTOBI_BUILD_GUI "Build GUI" ON)
+option(PENTOBI_BUILD_THUMBNAILER "Build thumbnailer for Gnome" ON)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
-option(PENTOBI_BUILD_GUI "Build GUI" ON)
 option(BUILD_TESTING "Build tests" OFF)
-
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to Release")
   set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
 endif()
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(BUILD_TESTING)
@@ -56,15 +55,14 @@
     find_package(Gettext 0.19.6 REQUIRED)
     find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
-    if((UNIX AND NOT ANDROID))
-        find_package(DocBookXSL REQUIRED)
+    if(UNIX AND NOT ANDROID)
         find_program(XSLTPROC xsltproc REQUIRED)
     endif()
-    find_package(Qt6 6.2 REQUIRED
+    find_package(Qt6 6.4 REQUIRED
         COMPONENTS Concurrent LinguistTools QuickControls2)
     add_subdirectory(libpentobi_paint)
     add_subdirectory(pentobi)
-    if(UNIX AND NOT ANDROID)
+    if(PENTOBI_BUILD_THUMBNAILER AND UNIX AND NOT ANDROID)
         add_subdirectory(pentobi_thumbnailer)
     endif()
 endif()
