=== pentobi/CMakeLists.txt ===
--- 
+++ 
@@ -134,6 +134,7 @@
     SyncSettings.h
     "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
     "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
+    "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
     "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
     ../opening_books/pentobi_books.qrc
     resources.qrc
@@ -149,23 +150,21 @@
     DEPENDS pentobi-help help/help.qrc
     )
 
+qt_add_executable(pentobi WIN32 ${pentobi_src})
+
 if(ANDROID)
-    qt_add_executable(pentobi ${pentobi_src})
     target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
     set_property(TARGET pentobi APPEND PROPERTY
         QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
+    set_property(TARGET pentobi APPEND PROPERTY
+        QT_ANDROID_TARGET_SDK_VERSION 31)
 else()
-    add_executable(pentobi WIN32
-        ${pentobi_src}
-        "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
-        resources_desktop.qrc
-        )
     install(TARGETS pentobi)
 endif()
 
 target_compile_definitions(pentobi PRIVATE
     QT_DEPRECATED_WARNINGS
-    QT_DISABLE_DEPRECATED_BEFORE=0x060000
+    QT_DISABLE_DEPRECATED_BEFORE=0x060400
     QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     VERSION="${PENTOBI_VERSION}"
     )
