=== debian/changelog ===
pentobi (23.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:54 +1100

pentobi (23.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:59 +0000

pentobi (23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update (build) dependencies.
  * Make sure Qt6 is selected for building.
  * Update paths in d/copyright.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 13:55:02 +0200
