=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pentobi
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: appstream,
                cmake,
@@ -10,7 +11,7 @@
                gettext,
                itstool,
                librsvg2-bin,
-               qt6-base-dev,
+               qt6-base-dev (>= 6.4),
                qt6-declarative-dev,
                qt6-tools-dev,
                xsltproc
@@ -22,11 +23,11 @@
 
 Package: pentobi
 Architecture: any
-Depends: qml6-module-qt-labs-folderlistmodel,
-         qml6-module-qt-labs-platform,
+Depends: qml6-module-qt-labs-platform,
          qml6-module-qt-labs-settings,
          qml6-module-qtqml-workerscript,
          qml6-module-qtquick-controls,
+         qml6-module-qtquick-dialogs,
          qml6-module-qtquick-layouts,
          qml6-module-qtquick-templates,
          qml6-module-qtquick-window,
