## pentobi 25.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,17 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 23.1)
-set(PENTOBI_RELEASE_DATE 2023-03-12)
+set(PENTOBI_VERSION 25.0)
 
 include(GNUInstallDirs)
 
 option(PENTOBI_BUILD_GUI "Build GUI" ON)
-option(PENTOBI_BUILD_THUMBNAILER "Build thumbnailer for Gnome" ON)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
 option(BUILD_TESTING "Build tests" OFF)
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to Release")
-  set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
+  set(CMAKE_BUILD_TYPE Release)
 endif()
 
 set(CMAKE_CXX_STANDARD 20)
@@ -50,19 +48,12 @@
     add_subdirectory(learn_tool)
 endif()
 if(PENTOBI_BUILD_GUI)
-    set(CMAKE_AUTOMOC ON)
-    set(CMAKE_AUTORCC ON)
     find_package(Gettext 0.19.6 REQUIRED)
     find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
-    if(UNIX AND NOT ANDROID)
-        find_program(XSLTPROC xsltproc REQUIRED)
-    endif()
+    set(CMAKE_AUTORCC ON)
     find_package(Qt6 6.4 REQUIRED
         COMPONENTS Concurrent LinguistTools QuickControls2)
-    add_subdirectory(libpentobi_paint)
+    qt_standard_project_setup()
     add_subdirectory(pentobi)
-    if(PENTOBI_BUILD_THUMBNAILER AND UNIX AND NOT ANDROID)
-        add_subdirectory(pentobi_thumbnailer)
-    endif()
 endif()
