=== debian/changelog ===
pentobi (25.0-1build1) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:37:49 +0200

pentobi (25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 25.0

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 May 2024 23:38:46 +0200

pentobi (24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.0
  * Sync dependencies according to INSTALL.md

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Apr 2024 17:29:57 +0200
