=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: pentobi
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: appstream,
                cmake,
                debhelper-compat (= 13),
-               docbook-xsl,
                gettext,
                itstool,
                librsvg2-bin,
                qt6-base-dev (>= 6.4),
                qt6-declarative-dev,
                qt6-tools-dev,
-               xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://pentobi.sourceforge.io
@@ -23,7 +20,7 @@
 
 Package: pentobi
 Architecture: any
-Depends: qml6-module-qt-labs-platform,
+Depends: qml6-module-qtcore,
          qml6-module-qt-labs-settings,
          qml6-module-qtqml-workerscript,
          qml6-module-qtquick-controls,
