## pentobi 25.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 25.0)
+set(PENTOBI_VERSION 25.1)
 
 include(GNUInstallDirs)
