=== debian/changelog ===
pentobi (25.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 25.1

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 12:28:03 +0200
